# -*- coding: utf-8 -*-
# This file is part of simple-koji-ci project.
#
# the-new-hotness is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# the-new-hotness is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the-new-hotness.  If not, see <http://www.gnu.org/licenses/>.

import threading
import dogpile.cache

# At import time, this can be used to markup cached functions, but it cannot be
# used to actually cache until it has been configured with a call to
# .configure()
cache = dogpile.cache.make_region()

# We just use this so two threads don't try to initialize the cache at the same
# time.  That would be embarrassing.
cache_lock = threading.Lock()
